Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class JDBC4CallableStatement

    java.lang.Object
      com.mysql.jdbc.StatementImpl
          com.mysql.jdbc.PreparedStatement
              com.mysql.jdbc.CallableStatement
                  com.mysql.jdbc.JDBC4CallableStatement

All Implemented Interfaces:
  java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class JDBC4CallableStatement

extends CallableStatement

Nested Class Summary

Nested classes/interfaces inherited from class com.mysql.jdbc.CallableStatement
`CallableStatement.CallableStatementParam, CallableStatement.CallableStatementParamInfo, CallableStatement.CallableStatementParamInfoJDBC3`

Nested classes/interfaces inherited from class com.mysql.jdbc.PreparedStatement
`PreparedStatement.AppendingBatchVisitor, PreparedStatement.BatchParams, PreparedStatement.BatchVisitor, PreparedStatement.EmulatedPreparedStatementBindings, PreparedStatement.EndPoint, PreparedStatement.ParseInfo`

Nested classes/interfaces inherited from class com.mysql.jdbc.StatementImpl
`StatementImpl.CancelTask`

Field Summary

Fields inherited from class com.mysql.jdbc.CallableStatement
`JDBC_4_CSTMT_2_ARGS_CTOR, JDBC_4_CSTMT_4_ARGS_CTOR, outputParamWasNull, paramInfo`

Fields inherited from class com.mysql.jdbc.PreparedStatement
`batchCommandIndex, batchedValuesClause, batchHasPlainStatements, firstCharOfStmt, hasLimitClause, isLoadDataQuery, isNull, numberOfExecutions, originalSql, parameterCount, parameterMetaData, parameterTypes, parseInfo, rewrittenBatchSize, serverSupportsFracSecs, useTrueBoolean, usingAnsiMode`

Fields inherited from class com.mysql.jdbc.StatementImpl
`batchedArgs, batchedGeneratedKeys, cancelTimeoutMutex, charConverter, charEncoding, clearWarningsCalled, connection, connectionId, continueBatchOnError, currentCatalog, doEscapeProcessing, eventSink, generatedKeysResults, holdResultsOpenOverClose, isClosed, lastInsertId, lastQueryIsOnDupKeyUpdate, maxFieldSize, maxRows, maxRowsChanged, openResults, pedantic, PING_MARKER, pingTarget, pointOfOrigin, profileSQL, results, resultSetConcurrency, resultSetType, retrieveGeneratedKeys, statementCounter, statementExecuting, statementId, timeoutInMillis, updateCount, useLegacyDatetimeCode, USES_VARIABLES_FALSE, USES_VARIABLES_TRUE, USES_VARIABLES_UNKNOWN, useUsageAdvisor, version5013OrNewer, warningChain, wasCancelled, wasCancelledByTimeout`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`JDBC4CallableStatement(MySQLConnection conn, CallableStatement.CallableStatementParamInfo paramInfo)`
`JDBC4CallableStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog, boolean isFunctionCall)`

Method Summary
`java.io.Reader` | `getCharacterStream(int parameterIndex)`
`java.io.Reader` | `getCharacterStream(java.lang.String parameterName)`
`java.io.Reader` | `getNCharacterStream(int parameterIndex)`
`java.io.Reader` | `getNCharacterStream(java.lang.String parameterName)`
`java.sql.NClob` | `getNClob(int parameterIndex)`
`java.sql.NClob` | `getNClob(java.lang.String parameterName)`
`java.lang.String` | `getNString(int parameterIndex)`
`java.lang.String` | `getNString(java.lang.String parameterName)`
`java.sql.RowId` | `getRowId(int parameterIndex)`
`java.sql.RowId` | `getRowId(java.lang.String parameterName)`
`java.sql.SQLXML` | `getSQLXML(int parameterIndex)`
`java.sql.SQLXML` | `getSQLXML(java.lang.String parameterName)`
`void` | `setNClob(int parameterIndex, java.sql.NClob value)` JDBC 4.0 Set a NCLOB parameter.
`void` | `setNClob(java.lang.String parameterName, java.sql.NClob value)`
`void` | `setNClob(java.lang.String parameterName, java.io.Reader reader)`
`void` | `setNClob(java.lang.String parameterName, java.io.Reader reader, long length)`
`void` | `setNString(java.lang.String parameterName, java.lang.String value)`
`void` | `setRowId(int parameterIndex, java.sql.RowId x)`
`void` | `setRowId(java.lang.String parameterName, java.sql.RowId x)`
`void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
`void` | `setSQLXML(java.lang.String parameterName, java.sql.SQLXML xmlObject)`

Methods inherited from class com.mysql.jdbc.CallableStatement
`addBatch, checkReadOnlySafeStatement, clearParameters, execute, executeBatch, executeQuery, executeUpdate, fixParameterName, getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInstance, getInstance, getInt, getInt, getLong, getLong, getNamedParamIndex, getObject, getObject, getObject, getObject, getObject, getObject, getOutputParameters, getParameterIndexOffset, getParameterMetaData, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, mapOutputParameterIndexToRsIndex, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNull, setNull, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

Methods inherited from class com.mysql.jdbc.PreparedStatement
`addBatch, asSql, asSql, canRewrite, canRewriteAsMultiValueInsertAtSqlLevel, checkBounds, clearBatch, computeBatchSize, computeMaxParameterSetSizeAndBatchSize, containsOnDuplicateKeyUpdateInSQL, detectFractionalSecondsSupport, executeBatchedInserts, executeBatchSerially, executeInternal, executePreparedBatchAsMultiStatement, executeUpdate, executeUpdate, fillSendPacket, fillSendPacket, getBytesRepresentation, getBytesRepresentationForBatch, getDateTime, getInstance, getInstance, getInstance, getLocationOfOnDuplicateKeyUpdate, getMetaData, getNonRewrittenSql, getParameterBindings, getParseInfo, getPreparedSql, getRewrittenBatchSize, getUpdateCount, getValuesClause, isNull, isSelectQuery, prepareBatchedInsertSQL, readFully, realClose, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setBytes, setBytesNoEscape, setBytesNoEscapeNoQuotes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setInternal, setInternal, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setOneBatchedParameterSet, setRef, setRetrieveGeneratedKeys, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

Methods inherited from class com.mysql.jdbc.StatementImpl
`cancel, checkClosed, checkForDml, checkNullOrEmptyQuery, clearWarnings, close, closeAllOpenResults, closeOnCompletion, containsOnDuplicateKeyInString, createStreamingResultSet, disableStreamingResults, doPingInstead, enableStreamingResults, execute, execute, execute, execute, executeQuery, executeSimpleNonQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, findStartOfStatement, generatePingResultSet, getBatchedArgs, getBatchedGeneratedKeys, getBatchedGeneratedKeys, getCalendarInstanceForSessionOrNew, getConnection, getExceptionInterceptor, getFetchDirection, getFetchSize, getGeneratedKeys, getGeneratedKeysInternal, getGeneratedKeysInternal, getId, getLastInsertID, getLocalInfileInputStream, getLongUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getOnDuplicateKeyLocation, getOpenResultSetCount, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetInternal, getResultSetType, getWarnings, handleExceptionForBatch, hasDeadlockOrTimeoutRolledBackTx, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, processMultiCountsAndKeys, removeOpenResultSet, resetCancelledState, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setHoldResultsOpenOverClose, setLocalInfileInputStream, setMaxFieldSize, setMaxRows, setPingTarget, setPoolable, setQueryTimeout, setResultSetConcurrency, setResultSetType, statementBegins, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.sql.PreparedStatement
`getMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Constructor Detail

### JDBC4CallableStatement

    public JDBC4CallableStatement(MySQLConnection conn,
                                  CallableStatement.CallableStatementParamInfo paramInfo)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### JDBC4CallableStatement

    public JDBC4CallableStatement(MySQLConnection conn,
                                  java.lang.String sql,
                                  java.lang.String catalog,
                                  boolean isFunctionCall)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### setRowId

    public void setRowId(int parameterIndex,
                         java.sql.RowId x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setRowId

    public void setRowId(java.lang.String parameterName,
                         java.sql.RowId x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setSQLXML

    public void setSQLXML(int parameterIndex,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setSQLXML

    public void setSQLXML(java.lang.String parameterName,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getSQLXML

    public java.sql.SQLXML getSQLXML(int parameterIndex)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String parameterName)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRowId

    public java.sql.RowId getRowId(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRowId

    public java.sql.RowId getRowId(java.lang.String parameterName)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         java.sql.NClob value)
                  throws java.sql.SQLException

  JDBC 4.0 Set a NCLOB parameter.

  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
    `x` - an object representing a NCLOB
  Throws:
    `java.sql.SQLException` - if a database error occurs

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.sql.NClob value)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.io.Reader reader)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.io.Reader reader,
                         long length)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNString

    public void setNString(java.lang.String parameterName,
                           java.lang.String value)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(int parameterIndex)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getCharacterStream(int)`

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String parameterName)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getCharacterStream(java.lang.String)`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(int parameterIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNCharacterStream(int)`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String parameterName)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNCharacterStream(java.lang.String)`

### getNClob

    public java.sql.NClob getNClob(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNClob(int)`

### getNClob

    public java.sql.NClob getNClob(java.lang.String parameterName)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNClob(java.lang.String)`

### getNString

    public java.lang.String getNString(int parameterIndex)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNString(int)`

### getNString

    public java.lang.String getNString(java.lang.String parameterName)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getNString(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD